<script setup>
import { RouterView } from 'vue-router'
import { cartStore } from './stores/cart'
const store = cartStore()
</script>

<template>
  <v-app>
    <v-app-bar dark>
      <v-btn variant="text" @click="$router.push('/')">
        <h1>Premium Video</h1>
      </v-btn>
      <v-spacer></v-spacer>
      <v-btn color="success" @click="$router.push('/cart')">
        
          <v-icon>mdi-cart</v-icon>
        
          Cart
          {{ store.quantity > 0 ? `(${store.quantity})` : '' }}
        </v-btn>
    </v-app-bar>
    <v-main>
      <v-container>
        <RouterView />
      </v-container>
    </v-main>
  </v-app>
</template>
